import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * TitleScreen - Main start screen for the world. Plan to have start button, top 5/10 high scores, and animated
 * background.
 * 
 * @author Sn3aKyGuY 
 * @version 09/21/2014)
 */
public class TitleScreen extends World
{
    /**
     * Constructor for objects of class TitleScreen.
     * Includes GifImage reference for animated background.
     */
    private GifImage gif = new GifImage("sandy.gif");
    private GreenfootSound bgMusic = new GreenfootSound("island.mp3");
    int btn_state=0;
    
    public void started()
    {
        bgMusic.playLoop();
    }
    
    public void stopped()
    {
        bgMusic.stop();
    }
   
    public TitleScreen()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(600, 600, 1);
        prepare();
        
        StartButton start = new StartButton();
        addObject(start, getWidth()/2, 230);
        
        Greenfoot.start();
    }
    
    public int getButtonState()
    {
        return btn_state;
    }
    
    private void prepare()
    {
        
    }
    
    @Override
    public void act()
    {
        setBackground(gif.getCurrentImage());
    }
    
    private void clickButton()
    {
        StartButton btn= (StartButton) getObjects(StartButton.class).get(0);
        btn.changeWorld(btn_state);
    }
    
}
